using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Syncfusion.Windows.Forms.Tools;

namespace FirstSample
{
    public partial class Form1 : Form
    {

        string buttonType;
    
        public Form1()
        {
            InitializeComponent();
            tm = new TabbedMDIManager();
            tm.UseIconsInTabs = true;
            tm.AttachToMdiContainer(this);
            tm.TabControlAdded += new TabbedMDITabControlEventHandler(added);
          

        }
        private void added(object sender, TabbedMDITabControlEventArgs ee)
        {
          ee.TabControl.NavigationControl.Visible = true;  // Show the Navigation control
        }

       private void form1ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form2 f = new Form2();
            f.MdiParent = this;
            f.Icon = new Icon("1.ico");
            f.Show();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           Form3 f = new Form3();
           f.MdiParent = this;
           f.Icon = new Icon("2.ico");
           f.Show();

            Form2 f1 = new Form2();
            f1.Icon = new Icon(@"1.ico");
            f1.MdiParent = this;
            f1.Show();
           
        }

        private void form2ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form3 f = new Form3();
            f.Icon = new Icon("2.ico");
            f.MdiParent = this;
            f.Show();
            
        }

    
        

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
           
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
              buttonType="Previous";
              Navigate(buttonType); 
            
        }     
        private void Navigate(string buttonType)
        {
            TabHost[] th=tm.TabGroupHosts;
            if (th != null)
            {

                 //m_tabControl
            switch(buttonType )
			{
				case "Next":
                    if (th[0].MDITabPanel.SelectedIndex < th[0].MDITabPanel.TabCount - 1)
					  th[0].MDITabPanel.SelectedIndex += 1;
						
					break;

				case "Previous":
                    if (th[0].MDITabPanel.SelectedIndex > 0)
					 th[0].MDITabPanel.SelectedIndex -= 1;
                 break;
			
        }
        }
    }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            buttonType = "Next";
            Navigate(buttonType); 

        }
    }
}